local Addon = Apollo.GetAddon("ClearNameplates")

function Addon:OnRestore(level, data)
    if not data then return end

    if data.fontSize then self.fontSize = data.fontSize end
    if data.hostilePlayerPvpColor then self.hostilePlayerPvpColor = data.hostilePlayerPvpColor end
    if data.hostilePlayerNotpvpColor then self.hostilePlayerNotpvpColor = data.hostilePlayerNotpvpColor end
    if data.hostileColor then self.hostileColor = data.hostileColor end
    if data.friendlyColor then self.friendlyColor = data.friendlyColor end
    if data.neutralColor then self.neutralColor = data.neutralColor end

    if data.radarEnabled ~= nil then self.radarEnabled = data.radarEnabled end

    if data.altUnitText ~= nil then self.altUnitText = data.altUnitText end
    if data.altHealthColor then self.altHealthColor = data.altHealthColor end
    if data.altHealthFontSize then self.altHealthFontSize = data.altHealthFontSize end

end

function Addon:OnSave(level)
    if level ~= GameLib.CodeEnumAddonSaveLevel.Character then
        return nil
    end

    return {
        fontSize = self.fontSize,
        hostilePlayerPvpColor = self.hostilePlayerPvpColor,
        hostilePlayerNotpvpColor = self.hostilePlayerNotpvpColor,
        hostileColor = self.hostileColor,
        friendlyColor = self.friendlyColor,
        neutralColor = self.neutralColor,
        radarEnabled = self.radarEnabled,
        altUnitText = self.altUnitText,
        altHealthColor = self.altHealthColor,
        altHealthFontSize = self.altHealthFontSize
    }
end

function Addon:resetSettings()
    self.fontSize = 9
    self.hostilePlayerPvpColor = "FE2E2E"
    self.hostilePlayerNotpvpColor = "D7DF01"
    self.hostileColor = "DF7401"
    self.friendlyColor = "00FF00"
    self.neutralColor = "FFFFFF"
    self.friendlyPlayerColor = self.friendlyColor

    self.radarEnabled = true

    self.altUnitText = false
    self.altHealthColor = "00FF00"
    self.altHealthFontSize = 9
end
